amavisd-new-2.11.0-r3 crashes

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

amavisd-new-2.11.0-r3 crashes

Bugzilla from imehl_adresse@gmx.net
Hi, after upgrading amavisd-new from 2.11.0-r3 to 2.11.1-r3 the process
crashes after the first email sent.
Any suggestions?


Reply | Threaded
Open this post in threaded view
|

Re: amavisd-new-2.11.0-r3 crashes

Michael Orlitzky
On 2/13/19 3:31 AM, Ich wrote:
> Hi, after upgrading amavisd-new from 2.11.0-r3 to 2.11.1-r3 the process
> crashes after the first email sent.
> Any suggestions?
>

What does your amavis log say? If you find the log but it doesn't say
anything interesting, try setting "$log_level = 2;" in /etc/amavisd.conf

Did you upgrade anything else at the same time as amavis? That upgrade
should be pretty safe...

Reply | Threaded
Open this post in threaded view
|

Re: amavisd-new-2.11.0-r3 crashes

Bugzilla from imehl_adresse@gmx.net
https://paste.pound-python.org/show/eqelmL7Plq9Po6sB0twn/

Am 13.02.19 um 14:28 schrieb Michael Orlitzky:

> On 2/13/19 3:31 AM, Ich wrote:
>> Hi, after upgrading amavisd-new from 2.11.0-r3 to 2.11.1-r3 the process
>> crashes after the first email sent.
>> Any suggestions?
>>
> What does your amavis log say? If you find the log but it doesn't say
> anything interesting, try setting "$log_level = 2;" in /etc/amavisd.conf
>
> Did you upgrade anything else at the same time as amavis? That upgrade
> should be pretty safe...
>

Reply | Threaded
Open this post in threaded view
|

Re: amavisd-new-2.11.0-r3 crashes

Bugzilla from imehl_adresse@gmx.net
I did "emerge @world -uvDNa" before, it pulled in perl-5.26 , I tried to
downgrade to 5.24 but it didn't change anything.

only after downgrading amavisd-new I had a working setup again.



Am 13.02.19 um 15:46 schrieb Ich:

> https://paste.pound-python.org/show/eqelmL7Plq9Po6sB0twn/
>
> Am 13.02.19 um 14:28 schrieb Michael Orlitzky:
>> On 2/13/19 3:31 AM, Ich wrote:
>>> Hi, after upgrading amavisd-new from 2.11.0-r3 to 2.11.1-r3 the process
>>> crashes after the first email sent.
>>> Any suggestions?
>>>
>> What does your amavis log say? If you find the log but it doesn't say
>> anything interesting, try setting "$log_level = 2;" in /etc/amavisd.conf
>>
>> Did you upgrade anything else at the same time as amavis? That upgrade
>> should be pretty safe...
>>

Reply | Threaded
Open this post in threaded view
|

Re: amavisd-new-2.11.0-r3 crashes

Michael Orlitzky
On 2/13/19 11:03 AM, Ich wrote:
> I did "emerge @world -uvDNa" before, it pulled in perl-5.26 , I tried to
> downgrade to 5.24 but it didn't change anything.
>
> only after downgrading amavisd-new I had a working setup again.
>

Amavis itself is self-contained, but SpamAssassin uses a bunch of perl
stuff. The first thing I would try (as root) is,

  $ perl-cleaner --all --reallyall
  $ revdep-rebuild

and then restart amavis. If that doesn't fix it, you might try running
amavis in the foreground. You can stop the daemon, and then run

  $ /usr/sbin/amavisd -c /etc/amavisd.conf foreground

to start it in the foreground. Now, after you receive a message, you
should be able to *see* it stop. And with any luck you will see the
reason why it shuts down.